Bug 746187 - [patch] center gmrun and fix placement on multihead
Summary: [patch] center gmrun and fix placement on multihead
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gmrun
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gilboa Davara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-14 10:14 UTC by Jens Petersen
Modified: 2011-11-27 21:56 UTC (History)
1 user (show)

Fixed In Version: gmrun-0.9.2-25.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-27 21:54:57 UTC
Type: ---


Attachments (Terms of Use)
patch to fix positioning (1.02 KB, patch)
2011-10-14 10:14 UTC, Jens Petersen
no flags Details | Diff
Somewhat modified patch. (1.29 KB, patch)
2011-11-16 13:18 UTC, Gilboa Davara
no flags Details | Diff

Description Jens Petersen 2011-10-14 10:14:38 UTC
Created attachment 528184 [details]
patch to fix positioning

Description of problem:
Currently gmrun always runs on screen 0 if you have more than one display.
The attached patch default to gmrun to be centered
and by not setting a default position means that it appears
on the current screen not always screen 0.

Steps to Reproduce:
1. Run gmrun on a multihead machine.
  
Actual results:
Appears on screen 0 always.

Expected results:
Appear on current screen.

Comment 1 Gilboa Davara 2011-11-16 13:18:24 UTC
Created attachment 534018 [details]
Somewhat modified patch.

I've somewhat modified the patch (attached).
koji builds will soon follow.

Comment 2 Fedora Update System 2011-11-16 13:27:33 UTC
gmrun-0.9.2-25.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gmrun-0.9.2-25.fc16

Comment 3 Fedora Update System 2011-11-16 13:27:42 UTC
gmrun-0.9.2-25.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gmrun-0.9.2-25.fc15

Comment 4 Fedora Update System 2011-11-17 23:25:48 UTC
Package gmrun-0.9.2-25.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gmrun-0.9.2-25.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15990/gmrun-0.9.2-25.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-11-27 21:54:57 UTC
gmrun-0.9.2-25.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-11-27 21:56:32 UTC
gmrun-0.9.2-25.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.